
Redmine - Defect #990

Repository: View differences doesn't work

2008-04-03 23:23 - Thomas Löber

Status: Closed Start date: 2008-04-03

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version: 0.7.2   

Resolution: Fixed Affected version:  

Description

On the repositories/revision view the file's link "View differences" on the right doesn't work:

The entry or revision was not found in the repository.

I think the problem is caused by the fact that the link contains two slashes (.../redmine//trunk/...):

http://www.redmine.org/repositories/diff/redmine//trunk/app/controllers/repositories_controller.rb

?rev=1324

Related issues:

Related to Redmine - Defect #1275: View differences for individual file of a ... Closed 2008-05-21

History

#1 - 2008-04-04 00:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r1325.

#2 - 2008-05-04 08:21 - Alexandre N

- Status changed from Closed to Reopened

On the repositories/revision the link "View difference" on the right does not work properly:

I got the message : The entry or revision was not found in the repository.

when clicking on the view difference on the right side.

I generate the following url :

http://www.dawnoflight.org/repositories/diff/dolserver/DOLSharp/trunk/GameServer/commands/playercommands/Repair.cs?rev=1220

when it should be

http://www.dawnoflight.org/repositories/diff/dolserver/trunk/GameServer/commands/playercommands/Repair.cs?rev=1220.

(Notice that "DOLSharp" is the project name.

#3 - 2008-05-04 12:08 - Jean-Philippe Lang

- Target version deleted (0.7)

- Resolution deleted (Fixed)

This is a different problem.

It's due to the fact that your repository in Redmine points to a subdirectory of your subversion repository (not to the root of the repository). I'll try to fix

it.

#4 - 2008-05-25 14:08 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Target version set to 0.7.2

- Resolution set to Fixed
https://www.redmine.org/projects/redmine/repository/svn/revisions/1325


Fixed in r1446.

#5 - 2008-05-26 20:22 - rupert thurner

- % Done changed from 0 to 100
